# Uses of Enum Class
org.apache.solr.common.util.DataEntry.Type

Packages that use DataEntry.Type
Package
Description
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of DataEntry.Type in org.apache.solr.common.util

Methods in org.apache.solr.common.util that return DataEntry.Type
Modifier and Type
Method
Description
`DataEntry.Type`
DataEntry.`type()`
The data type
`DataEntry.Type`
FastJavaBinDecoder.EntryImpl.`type()`
`static DataEntry.Type`
DataEntry.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DataEntry.Type[]`
DataEntry.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.